# DataExchange
TKSTEPBase
StepGeom

# StepGeom_GeometricRepresentationContext Class Reference

`#include <StepGeom_GeometricRepresentationContext.hxx>`

Inheritance diagram for StepGeom_GeometricRepresentationContext:

[legend]

## Public Member Functions

Standard_EXPORT | StepGeom_GeometricRepresentationContext ()
| Returns a GeometricRepresentationContext .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aContextIdentifier, const Handle(TCollection_HAsciiString)&aContextType)
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aContextIdentifier, const Handle(TCollection_HAsciiString)&aContextType, const Standard_Integer aCoordinateSpaceDimension)
Standard_EXPORT void | SetCoordinateSpaceDimension (const Standard_Integer aCoordinateSpaceDimension)
Standard_EXPORT Standard_Integer | CoordinateSpaceDimension () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Integer | coordinateSpaceDimension

## Constructor & Destructor Documentation

Standard_EXPORT StepGeom_GeometricRepresentationContext::StepGeom_GeometricRepresentationContext | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer StepGeom_GeometricRepresentationContext::CoordinateSpaceDimension | ( |  | ) | const

Standard_EXPORT const StepGeom_GeometricRepresentationContext::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepRepr_RepresentationContext.

virtual Standard_EXPORT void StepGeom_GeometricRepresentationContext::Init | ( | const Handle(TCollection_HAsciiString)& | aContextIdentifier,
|  | const Handle(TCollection_HAsciiString)& | aContextType,
|  | const Standard_Integer | aCoordinateSpaceDimension
| ) | `[virtual]`

virtual Standard_EXPORT void StepGeom_GeometricRepresentationContext::Init | ( | const Handle(TCollection_HAsciiString)& | aContextIdentifier,
|  | const Handle(TCollection_HAsciiString)& | aContextType
| ) | `[virtual]`

| Reimplemented from StepRepr_RepresentationContext.

Standard_EXPORT void StepGeom_GeometricRepresentationContext::SetCoordinateSpaceDimension | ( | const Standard_Integer | aCoordinateSpaceDimension | ) |

## Field Documentation

Standard_Integer StepGeom_GeometricRepresentationContext::coordinateSpaceDimension `[private]`

The documentation for this class was generated from the following file:

- StepGeom_GeometricRepresentationContext.hxx